/* Copyright (C) 1999 PLUS Group - University of Maryland
 *	
 * This software is provided under the terms of the GNU General Public
 * License Version 2, June 1991. See the header in KA_App.java
 * and the file License.html for details.
 */

package Annotator;

import java.awt.*;
import UserInt.*;

public class ErrorDialog extends WorkaroundDialog {

  public ErrorDialog(Frame parent, String title, String desc, 
		     String errorMsg) {

    super(parent, title, true);

    TextArea textBox = new TextArea(errorMsg, 15, 60, TextArea.SCROLLBARS_BOTH);
    textBox.setBackground(Color.lightGray);
    Label l_desc = new Label(desc);
    Panel buttonPanel = new Panel();
    Button b_OK = new Button("OK");
    buttonPanel.add(b_OK);
    add("North", l_desc);
    add("Center", textBox);
    add("South", buttonPanel);
    setBackground(Color.lightGray);
    setForeground(Color.black);
    pack();
    resize(minimumSize());
  }

  public boolean handleEvent(Event event) {

    if (event.id == Event.WINDOW_DESTROY)
      show(false);
    else if (event.id == Event.ACTION_EVENT && event.target instanceof Button){
      show(false);
    }
    return false;
  }
  
}
